org.apache.hadoop.mapreduce.v2.api.protocolrecords

## Interface GetTaskReportsResponse

- All Known Implementing Classes:
    GetTaskReportsResponsePBImpl

      public interface GetTaskReportsResponse

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllTaskReports(List<TaskReport> taskReports)`
    `void` | `addTaskReport(TaskReport taskReport)`
    `void` | `clearTaskReports()`
    `TaskReport` | `getTaskReport(int index)`
    `int` | `getTaskReportCount()`
    `List<TaskReport>` | `getTaskReportList()`
    `void` | `removeTaskReport(int index)`

- - ### Method Detail

    - #### getTaskReportList

          List<TaskReport> getTaskReportList()

    - #### getTaskReport

          TaskReport getTaskReport(int index)

    - #### getTaskReportCount

          int getTaskReportCount()

    - #### addAllTaskReports

          void addAllTaskReports(List<TaskReport> taskReports)

    - #### addTaskReport

          void addTaskReport(TaskReport taskReport)

    - #### removeTaskReport

          void removeTaskReport(int index)

    - #### clearTaskReports

          void clearTaskReports()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.